umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_docwindow.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/docwindow.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_DocWindow_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_DocWindow_t | qt_meta_stringdata_DocWindow
static const uint | qt_meta_data_DocWindow []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_DocWindow_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_DocWindow_t
Definition: moc_docwindow.cpp:24

## Variable Documentation

## ◆ qt_meta_data_DocWindow

const uint qt_meta_data_DocWindow[]
| static

Initial value:
= {
8,
0,
0, 0,
4, 14,
0, 0,
0, 0,
0, 0,
0,
0,
1, 1, 34, 2, 0x0a ,
5, 1, 37, 2, 0x0a ,
8, 0, 40, 2, 0x08 ,
9, 1, 41, 2, 0x08 ,
QMetaType::Void, 0x80000000 | 3, 4,
QMetaType::Void, 0x80000000 | 6, 7,
QMetaType::Void,
QMetaType::Void, QMetaType::Int, 10,
0
}

## ◆ qt_meta_stringdata_DocWindow

const qt_meta_stringdata_DocWindow_t qt_meta_stringdata_DocWindow
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 9),
QT_MOC_LITERAL(1, 10, 22),
QT_MOC_LITERAL(2, 33, 0),
QT_MOC_LITERAL(3, 34, 18),
QT_MOC_LITERAL(4, 53, 11),
QT_MOC_LITERAL(5, 65, 17),
QT_MOC_LITERAL(6, 83, 10),
QT_MOC_LITERAL(7, 94, 6),
QT_MOC_LITERAL(8, 101, 15),
QT_MOC_LITERAL(9, 117, 23),
QT_MOC_LITERAL(10, 141, 5)
},
"DocWindow\0slotAssociationRemoved\0\0"
"AssociationWidget*\0association\0"
"slotWidgetRemoved\0UMLWidget*\0widget\0"
"slotTextChanged\0slotFocusEnabledChanged\0"
"state"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_docwindow.cpp:28